// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/security/DeleteCertificate.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace DeleteCertificate {

  /// <summary>Holder for reflection information generated from command/security/DeleteCertificate.proto</summary>
  public static partial class DeleteCertificateReflection {

    #region Descriptor
    /// <summary>File descriptor for command/security/DeleteCertificate.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static DeleteCertificateReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cihjb21tYW5kL3NlY3VyaXR5L0RlbGV0ZUNlcnRpZmljYXRlLnByb3RvEhJk",
            "ZWxldGVfY2VydGlmaWNhdGUaLmNvbW1hbmQvc2VjdXJpdHkvQ2VydGlmaWNh",
            "dGVIYXNoRGF0YVR5cGUucHJvdG8ibgoYRGVsZXRlQ2VydGlmaWNhdGVDb21t",
            "YW5kElIKFWNlcnRpZmljYXRlX2hhc2hfZGF0YRgBIAEoCzIzLmNlcnRpZmlj",
            "YXRlX2hhc2hfZGF0YV90eXBlLkNlcnRpZmljYXRlSGFzaERhdGFUeXBlItMB",
            "CiBEZWxldGVDZXJ0aWZpY2F0ZUNvbW1hbmRSZXNwb25zZRJkCgZzdGF0dXMY",
            "ASABKA4yVC5kZWxldGVfY2VydGlmaWNhdGUuRGVsZXRlQ2VydGlmaWNhdGVD",
            "b21tYW5kUmVzcG9uc2UuRGVsZXRlQ2VydGlmaWNhdGVTdGF0dXNFbnVtVHlw",
            "ZSJJCh9EZWxldGVDZXJ0aWZpY2F0ZVN0YXR1c0VudW1UeXBlEgwKCEFjY2Vw",
            "dGVkEAASCgoGRmFpbGVkEAESDAoITm90Rm91bmQQAkKSAQoiY29tLmNvZGli",
            "bHkubW9kZWwuY29tbWFuZC5zZWN1cml0eUIWRGVsZXRlQ2VydGlmaWNhdGVQ",
            "cm90b8oCIkRvbWFpbk1vZGVsXFByb3RvXENvbW1hbmRcU2VjdXJpdHniAi5E",
            "b21haW5Nb2RlbFxQcm90b1xDb21tYW5kXFNlY3VyaXR5XEdQQk1ldGFkYXRh",
            "YgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::CertificateHashDataType.CertificateHashDataTypeReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::DeleteCertificate.DeleteCertificateCommand), global::DeleteCertificate.DeleteCertificateCommand.Parser, new[]{ "CertificateHashData" }, null, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::DeleteCertificate.DeleteCertificateCommandResponse), global::DeleteCertificate.DeleteCertificateCommandResponse.Parser, new[]{ "Status" }, null, new[]{ typeof(global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class DeleteCertificateCommand : pb::IMessage<DeleteCertificateCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<DeleteCertificateCommand> _parser = new pb::MessageParser<DeleteCertificateCommand>(() => new DeleteCertificateCommand());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<DeleteCertificateCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::DeleteCertificate.DeleteCertificateReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DeleteCertificateCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DeleteCertificateCommand(DeleteCertificateCommand other) : this() {
      certificateHashData_ = other.certificateHashData_ != null ? other.certificateHashData_.Clone() : null;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DeleteCertificateCommand Clone() {
      return new DeleteCertificateCommand(this);
    }

    /// <summary>Field number for the "certificate_hash_data" field.</summary>
    public const int CertificateHashDataFieldNumber = 1;
    private global::CertificateHashDataType.CertificateHashDataType certificateHashData_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::CertificateHashDataType.CertificateHashDataType CertificateHashData {
      get { return certificateHashData_; }
      set {
        certificateHashData_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as DeleteCertificateCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(DeleteCertificateCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (!object.Equals(CertificateHashData, other.CertificateHashData)) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (certificateHashData_ != null) hash ^= CertificateHashData.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (certificateHashData_ != null) {
        output.WriteRawTag(10);
        output.WriteMessage(CertificateHashData);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (certificateHashData_ != null) {
        output.WriteRawTag(10);
        output.WriteMessage(CertificateHashData);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (certificateHashData_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(CertificateHashData);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(DeleteCertificateCommand other) {
      if (other == null) {
        return;
      }
      if (other.certificateHashData_ != null) {
        if (certificateHashData_ == null) {
          CertificateHashData = new global::CertificateHashDataType.CertificateHashDataType();
        }
        CertificateHashData.MergeFrom(other.CertificateHashData);
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            if (certificateHashData_ == null) {
              CertificateHashData = new global::CertificateHashDataType.CertificateHashDataType();
            }
            input.ReadMessage(CertificateHashData);
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            if (certificateHashData_ == null) {
              CertificateHashData = new global::CertificateHashDataType.CertificateHashDataType();
            }
            input.ReadMessage(CertificateHashData);
            break;
          }
        }
      }
    }
    #endif

  }

  public sealed partial class DeleteCertificateCommandResponse : pb::IMessage<DeleteCertificateCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<DeleteCertificateCommandResponse> _parser = new pb::MessageParser<DeleteCertificateCommandResponse>(() => new DeleteCertificateCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<DeleteCertificateCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::DeleteCertificate.DeleteCertificateReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DeleteCertificateCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DeleteCertificateCommandResponse(DeleteCertificateCommandResponse other) : this() {
      status_ = other.status_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DeleteCertificateCommandResponse Clone() {
      return new DeleteCertificateCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType status_ = global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as DeleteCertificateCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(DeleteCertificateCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType.Accepted) hash ^= Status.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(DeleteCertificateCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType.Accepted) {
        Status = other.Status;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::DeleteCertificate.DeleteCertificateCommandResponse.Types.DeleteCertificateStatusEnumType) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the DeleteCertificateCommandResponse message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum DeleteCertificateStatusEnumType {
        [pbr::OriginalName("Accepted")] Accepted = 0,
        [pbr::OriginalName("Failed")] Failed = 1,
        [pbr::OriginalName("NotFound")] NotFound = 2,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
